# Enum MetaExportedKeys

java.lang.Object
java.lang.Enum<MetaExportedKeys>
org.mariadb.jdbc.util.constants.MetaExportedKeys

All Implemented Interfaces:
  `Serializable, Comparable<MetaExportedKeys>, java.lang.constant.Constable`

public enum MetaExportedKeys extends Enum<MetaExportedKeys>
Indicate if metadata search must use Catalog or schema field.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Auto`
Use SHOW CREATE when local database, or IS when remote *
`UseInformationSchema`
Use information schema *
`UseShowCreate`
Use SHOW CREATE command *

## Method Summary

Modifier and Type
Method
Description
`static MetaExportedKeys`
`from(String value)`
`static MetaExportedKeys`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MetaExportedKeys[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UseInformationSchema

public static final MetaExportedKeys UseInformationSchema
Use information schema *

### UseShowCreate

public static final MetaExportedKeys UseShowCreate
Use SHOW CREATE command *

### Auto

public static final MetaExportedKeys Auto
Use SHOW CREATE when local database, or IS when remote *

## Method Details

### values

public static MetaExportedKeys[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MetaExportedKeys valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### from

public static MetaExportedKeys from(String value)